Package org.springframework.http.server.reactive

# Class ContextPathCompositeHandler

java.lang.Object
org.springframework.http.server.reactive.ContextPathCompositeHandler

All Implemented Interfaces:
  `HttpHandler`

public class ContextPathCompositeHandler extends Object implements HttpHandler
`HttpHandler` delegating requests to one of several `HttpHandler`'s based on simple, prefix-based mappings.

This is intended as a coarse-grained mechanism for delegating requests to one of several applications -- each represented by an `HttpHandler`, with the application "context path" (the prefix-based mapping) exposed via `ServerHttpRequest.getPath()`.

Since:
  5.0
Author:
  Rossen Stoyanchev

## Constructor Summary

Constructors
Constructor
Description
`ContextPathCompositeHandler(Map<String,? extends HttpHandler> handlerMap)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`handle(ServerHttpRequest request, ServerHttpResponse response)`
Handle the given request and write to the response.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContextPathCompositeHandler

public ContextPathCompositeHandler(Map<String,? extends HttpHandler> handlerMap)

## Method Details

### handle

public reactor.core.publisher.Mono<Void> handle(ServerHttpRequest request, ServerHttpResponse response)
Description copied from interface: `HttpHandler`
Handle the given request and write to the response.

Specified by:
  `handle` in interface `HttpHandler`
Parameters:
  `request` - current request
  `response` - current response
Returns:
  indicates completion of request handling